com.verisign.epp.codec.loginsecpolicy.v03

## Class EPPLoginSecPolicySystem

- java.lang.Object
- - com.verisign.epp.codec.loginsecpolicy.v03.EPPLoginSecPolicySystem

- All Implemented Interfaces:
    EPPCodecComponent, EPPRegistrySystemInfoInterface, java.io.Serializable, java.lang.Cloneable

      public class EPPLoginSecPolicySystem
      extends java.lang.Object
      implements EPPCodecComponent, EPPRegistrySystemInfoInterface

  `EPPLoginSecPolicySystem` contains all of the login security policy information associated with the system.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPLoginSecPolicySystem`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPLoginSecPolicySystem`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLoginSecPolicySystem()` Default constructor for `EPPLoginSecPolicySystem`.
    `EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword)` Constructor for `EPPLoginSecPolicySystem` that takes the required password attribute.
    `EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword, java.lang.Boolean aUserAgentSupport, EPPLoginSecPolicyEvent aEvent)` Constructor for `EPPLoginSecPolicySystem` that the required password attribute and the optional attributes with a single event.
    `EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword, java.lang.Boolean aUserAgentSupport, java.util.List<EPPLoginSecPolicyEvent> aEvents)` Constructor for `EPPLoginSecPolicySystem` that the required password attribute and the optional attributes with a list of events.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(EPPLoginSecPolicyEvent aEvent)` Adds an event to the list of events.
    `java.lang.Object` | `clone()` Clone an `EPPCodecComponent` instance.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPLoginSecPolicySystem` with this instance.
    `java.util.List<EPPLoginSecPolicyEvent>` | `getEvents()` Gets the list of events if defined.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLoginSecPolicyPassword` | `getPassword()` Gets the login password format policy.
    `java.lang.Boolean` | `getUserAgentSupport()` Gets the OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element.
    `boolean` | `hasEvens()` Are the events defined?
    `boolean` | `hasUserAgentSupport()` Is the user agent flag defined?
    `void` | `setEvents(java.util.List<EPPLoginSecPolicyEvent> aEvents)` Sets the list of events.
    `void` | `setPassword(EPPLoginSecPolicyPassword aPassword)` Sets the login password format policy.
    `void` | `setUserAgentSupport(java.lang.Boolean aUserAgentSupport)` Sets the OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLoginSecPolicySystem`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLoginSecPolicySystem`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLoginSecPolicySystem

          public EPPLoginSecPolicySystem()

      Default constructor for `EPPLoginSecPolicySystem`.

    - #### EPPLoginSecPolicySystem

          public EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword)

      Constructor for `EPPLoginSecPolicySystem` that takes the required password attribute.
      Parameters:
        `aPassword` - The login password format policy

    - #### EPPLoginSecPolicySystem

          public EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword,
                                         java.lang.Boolean aUserAgentSupport,
                                         EPPLoginSecPolicyEvent aEvent)

      Constructor for `EPPLoginSecPolicySystem` that the required password attribute and the optional attributes with a single event.
      Parameters:
        `aPassword` - The login password format policy
        `aUserAgentSupport` - OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element. Set to `null` if undefined.
        `aEvent` - Login security event. Set to `null` if undefined.

    - #### EPPLoginSecPolicySystem

          public EPPLoginSecPolicySystem(EPPLoginSecPolicyPassword aPassword,
                                         java.lang.Boolean aUserAgentSupport,
                                         java.util.List<EPPLoginSecPolicyEvent> aEvents)

      Constructor for `EPPLoginSecPolicySystem` that the required password attribute and the optional attributes with a list of events.
      Parameters:
        `aPassword` - The login password format policy
        `aUserAgentSupport` - OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element. Set to `null` if undefined.
        `aEvents` - List of events.

  - ### Method Detail

    - #### getPassword

          public EPPLoginSecPolicyPassword getPassword()

      Gets the login password format policy.
      Returns:
        the password format policy if defined; `null` otherwise.

    - #### setPassword

          public void setPassword(EPPLoginSecPolicyPassword aPassword)

      Sets the login password format policy.
      Parameters:
        `aPassword` - the password format policy to set

    - #### hasUserAgentSupport

          public boolean hasUserAgentSupport()

      Is the user agent flag defined?
      Returns:
        `true` if the user agent flag is defined; `false` otherwise.

    - #### getUserAgentSupport

          public java.lang.Boolean getUserAgentSupport()

      Gets the OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element.
      Returns:
        `true` or `false` indicating whether the server supports the <loginSec:userAgentSupport> element if defined; `null` otherwise.

    - #### setUserAgentSupport

          public void setUserAgentSupport(java.lang.Boolean aUserAgentSupport)

      Sets the OPTIONAL boolean value that indicates the server supports the <loginSec:userAgentSupport> element.
      Parameters:
        `aUserAgentSupport` - `true` or `false` indicating whether the server supports the <loginSec:userAgentSupport> element. Set to `null` if undefined.

    - #### hasEvens

          public boolean hasEvens()

      Are the events defined?
      Returns:
        `true` if the evets are defined; `false` otherwise.

    - #### getEvents

          public java.util.List<EPPLoginSecPolicyEvent> getEvents()

      Gets the list of events if defined.
      Returns:
        List of events if defined; empty list otherwise.

    - #### addEvent

          public void addEvent(EPPLoginSecPolicyEvent aEvent)

      Adds an event to the list of events.
      Parameters:
        `aEvent` - The event to add.

    - #### setEvents

          public void setEvents(java.util.List<EPPLoginSecPolicyEvent> aEvents)

      Sets the list of events.
      Parameters:
        `aEvents` - The events to set.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPLoginSecPolicySystem`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone an `EPPCodecComponent` instance.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPLoginSecPolicySystem`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPLoginSecPolicySystem` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.